Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.coaext
Class EPPCoaExtCreate

    java.lang.Object
      com.verisign.epp.codec.coaext.EPPCoaExtCreate

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPCoaExtCreate

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a COA Create Tag.

Title: EPP 1.0 Client Object Attribute - Create tag

Description: The EPPCoaExtCreate object represents the collection of Client Object Attributes being submitted for creation along with their associated object. As such it is composed of a collection of EPPCoaExtAttr objects.
As XML, it is represented by a element containing a number of elements.

Copyright: Copyright (c) 2011

Company: VeriSign

Version:
  1.0
Author:
  jfaust
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Constant for the key tag

Constructor Summary
`EPPCoaExtCreate()` Default constructor
`EPPCoaExtCreate(java.util.List aAttrs)` Constructor with attributes.

Method Summary
`void` | `appendAttr(EPPCoaExtAttr aAttr)` Appends to the `List` of attributes `EPPCoaExtAttr` instances to add.
`java.lang.Object` | `clone()` A deep clone of the EPPCoaCreate.
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this COA create to the given DOM Document
`boolean` | `equals(java.lang.Object aObj)` A deep comparison of this with another EPPCoaExtCreate.
`java.util.List` | `getAttrs()` Gets the attr list.
`void` | `setAttrs(java.util.List aAttrs)` Sets the `List` of attributes `EPPCoaExtAttr` instances to create.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the key tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPCoaExtCreate

    public EPPCoaExtCreate()

  Default constructor

### EPPCoaExtCreate

    public EPPCoaExtCreate(java.util.List aAttrs)

  Constructor with attributes.

  Parameters:
    `aAttrs` -

Method Detail

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from this COA create to the given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  A deep clone of the EPPCoaCreate.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception
  See Also:
    `Object.clone()`

### equals

    public boolean equals(java.lang.Object aObj)

  A deep comparison of this with another EPPCoaExtCreate.

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### appendAttr

    public void appendAttr(EPPCoaExtAttr aAttr)

  Appends to the `List` of attributes `EPPCoaExtAttr` instances to add.

  Parameters:
    `aAttr` - `EPPCoaExtAttr` instance

### getAttrs

    public java.util.List getAttrs()

  Gets the attr list.

  Returns:
    `List` of attribute `EPPCoaExtAttr` instances if defined; `null` otherwise.

### setAttrs

    public void setAttrs(java.util.List aAttrs)

  Sets the `List` of attributes `EPPCoaExtAttr` instances to create.

  Parameters:
    `aAttrs` - `List` of `EPPCoaExtAttr` instances

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.